import { HttpHeaders } from '@angular/common/http';
import { Subject } from 'rxjs';
import Keycloak from 'keycloak-js';
import { ExcludedUrlRegex, KeycloakOptions } from '../interfaces/keycloak-options';
import { KeycloakEvent } from '../interfaces/keycloak-event';
import * as i0 from "@angular/core";
export declare class KeycloakService {
    private _instance;
    private _userProfile;
    private _enableBearerInterceptor;
    private _silentRefresh;
    private _loadUserProfileAtStartUp;
    private _bearerPrefix;
    private _authorizationHeaderName;
    private _excludedUrls;
    private _keycloakEvents$;
    private bindsKeycloakEvents;
    private loadExcludedUrls;
    private initServiceValues;
    init(options?: KeycloakOptions): Promise<boolean>;
    login(options?: Keycloak.KeycloakLoginOptions): Promise<void>;
    logout(redirectUri?: string): Promise<void>;
    register(options?: Keycloak.KeycloakLoginOptions): Promise<void>;
    isUserInRole(role: string, resource?: string): boolean;
    getUserRoles(allRoles?: boolean): string[];
    isLoggedIn(): Promise<boolean>;
    isTokenExpired(minValidity?: number): boolean;
    updateToken(minValidity?: number): Promise<boolean>;
    loadUserProfile(forceReload?: boolean): Promise<Keycloak.KeycloakProfile>;
    getToken(): Promise<string>;
    getUsername(): string;
    clearToken(): void;
    addTokenToHeader(headers?: HttpHeaders): import("rxjs").Observable<HttpHeaders>;
    getKeycloakInstance(): Keycloak.KeycloakInstance;
    get excludedUrls(): ExcludedUrlRegex[];
    get enableBearerInterceptor(): boolean;
    get keycloakEvents$(): Subject<KeycloakEvent>;
    static ɵfac: i0.ɵɵFactoryDeclaration<KeycloakService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<KeycloakService>;
}
//# sourceMappingURL=keycloak.service.d.ts.map